kmp.hpp File Reference

kmp class interface. Use this class for exact pattern matching. This class uses the Knuth-Morris-Pratt's algorithm. More...

`#include <map>`
`#include <claw/impl/kmp.tpp>`

Go to the source code of this file.

## Classes

class | claw::text::kmp< RandomIterator >
| Exact pattern finding with the Knuth-Morris-Pratt's algorithm. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::text
| Everything about text processing.

## Detailed Description

kmp class interface. Use this class for exact pattern matching. This class uses the Knuth-Morris-Pratt's algorithm.

Author
  Julien Jorge

Definition in file kmp.hpp.